Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.compact
Class CompactSyntax

    java.lang.Object
      org.kohsuke.rngom.parse.compact.CompactSyntax

All Implemented Interfaces:
  CompactSyntaxConstants, Context, org.relaxng.datatype.ValidationContext

    public class CompactSyntax

extends java.lang.Object
implements Context, CompactSyntaxConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`CompactSyntaxTokenManager` | `token_source`

Fields inherited from interface org.kohsuke.rngom.parse.compact.CompactSyntaxConstants
`AFTER_DOCUMENTATION, AFTER_SINGLE_LINE_COMMENT, BASE_CHAR, COMBINING_CHAR, DEFAULT, DIGIT, DOCUMENTATION, DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT, DOCUMENTATION_CONTINUE, EOF, ESCAPED_IDENTIFIER, EXTENDER, FANNOTATE, IDENTIFIER, IDEOGRAPHIC, ILLEGAL_CHAR, LETTER, LITERAL, NCNAME, NEWLINE, NMCHAR, NMSTART, NOT_NEWLINE, PREFIX_STAR, PREFIXED_NAME, SINGLE_LINE_COMMENT, SINGLE_LINE_COMMENT_CONTINUE, tokenImage, WS`

Constructor Summary
`CompactSyntax(CompactParseable parseable, java.io.Reader r, java.lang.String sourceUri, SchemaBuilder sb, org.xml.sax.ErrorHandler eh, java.lang.String inheritedNs)`
`CompactSyntax(CompactSyntaxTokenManager tm)`
`CompactSyntax(java.io.InputStream stream)`
`CompactSyntax(java.io.Reader stream)`

Method Summary
`ParsedNameClass` | `AnnotateAfter(ParsedNameClass nc)`
`ParsedPattern` | `AnnotatedPrimaryExpr(boolean topLevel, Scope scope, Token[] except)`
`void` | `AnnotationAttribute(Annotations a)`
`ParsedElementAnnotation` | `AnnotationElement(boolean nested)`
`void` | `AnnotationElementContent(ElementAnnotationBuilder eab)`
`void` | `AnnotationElementLiteral(ElementAnnotationBuilder eab)`
`ParsedElementAnnotation` | `AnnotationElementNotKeyword()`
`Annotations` | `Annotations()`
`ParsedNameClass` | `AnyNameExceptClass(int context, Annotations a, Annotations[] pa)`
`GrammarSection.Combine` | `AssignOp()`
`ParsedPattern` | `AttributeExpr(Scope scope, Annotations a)`
`ParsedNameClass` | `BasicNameClass(int context)`
`Context` | `copy()` Returns the immutable snapshot of this `Context`.
`ParsedPattern` | `DataExpr(boolean topLevel, Scope scope, Annotations a, Token[] except)`
`Token` | `DatatypeName()`
`void` | `DatatypesDecl()`
`void` | `Define(GrammarSection section, Scope scope, Annotations a)`
`void` | `Definition(GrammarSection section, Scope scope, Annotations a)`
`void` | `disable_tracing()`
`void` | `Div(GrammarSection section, Scope scope, Annotations a)`
`ParsedElementAnnotation` | `Documentation()`
`ParsedPattern` | `ElementExpr(Scope scope, Annotations a)`
`ParsedPattern` | `EmptyExpr(Annotations a)`
`void` | `enable_tracing()`
`ParsedPattern` | `Except(Scope scope, Token[] except)`
`ParsedNameClass` | `ExceptNameClass(int context)`
`ParsedPattern` | `Expr(boolean topLevel, Scope scope, Token t, Annotations a)`
`ParsedPattern` | `ExternalRefExpr(Scope scope, Annotations a)`
`ParseException` | `generateParseException()`
`java.lang.String` | `getBaseUri()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`Annotations` | `GrammarBody(GrammarSection section, Scope scope, Annotations a)`
`void` | `GrammarComponent(GrammarSection section, Scope scope)`
`ParsedPattern` | `GrammarExpr(Scope scope, Annotations a)`
`org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString` | `Identifier()`
`ParsedElementAnnotation` | `IdentifierAnnotationElement()`
`ParsedPattern` | `IdentifierExpr(Scope scope, Annotations a)`
`void` | `Include(GrammarSection section, Scope scope, Annotations a)`
`Annotations` | `IncludeBody(GrammarSection section, Scope scope, Annotations a)`
`void` | `IncludeComponent(GrammarSection section, Scope scope)`
`ParsedPattern` | `IncludedGrammar(IncludedGrammar g)`
`void` | `IncludeDiv(GrammarSection section, Scope scope, Annotations a)`
`java.lang.String` | `Inherit()`
`ParsedPattern` | `Input(Scope scope)`
`boolean` | `isNotation(java.lang.String notationName)`
`boolean` | `isUnparsedEntity(java.lang.String entityName)`
`Token` | `Keyword()`
`ParsedPattern` | `ListExpr(Scope scope, Annotations a)`
`java.lang.String` | `Literal()`
`org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString` | `LocatedLiteral()`
`void` | `LookaheadAfterAnnotations()`
`void` | `LookaheadBody()`
`void` | `LookaheadDocumentation()`
`void` | `LookaheadGrammarKeyword()`
`ParsedPattern` | `MixedExpr(Scope scope, Annotations a)`
`ParsedNameClass` | `NameClass(int context, Annotations[] pa)`
`ParsedNameClass` | `NameClassAlternatives(int context, ParsedNameClass nc, Annotations[] pa)`
`void` | `NamespaceDecl()`
`java.lang.String` | `NamespaceName()`
`ParsedPattern` | `NotAllowedExpr(Annotations a)`
`org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString` | `NsName()`
`ParsedNameClass` | `NsNameExceptClass(int context, Annotations a, Annotations[] pa)`
`ParsedNameClass` | `OpenNameClass(int context, Annotations a)`
`void` | `Param(DataPatternBuilder dpb)`
`void` | `Params(DataPatternBuilder dpb)`
`ParsedPattern` | `ParenExpr(boolean topLevel, Scope scope, Annotations a)`
`ParsedNameClass` | `ParenNameClass(int context, Annotations a)`
`ParsedPattern` | `ParentExpr(Scope scope, Annotations a)`
`void` | `Preamble()`
`java.lang.String` | `Prefix()`
`void` | `PrefixedAnnotationAttribute(Annotations a, boolean nested)`
`ParsedElementAnnotation` | `PrefixedAnnotationElement(boolean nested)`
`ParsedNameClass` | `PrefixedNameClass(Annotations a)`
`java.util.Enumeration` | `prefixes()` Enumerates the prefixes bound to namespaces.
`ParsedPattern` | `PrimaryExpr(boolean topLevel, Scope scope, Annotations a, Token[] except)`
`ParsedNameClass` | `PrimaryNameClass(int context, Annotations a)`
`void` | `ReInit(CompactSyntaxTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`java.lang.String` | `resolveNamespacePrefix(java.lang.String prefix)`
`void` | `Start(GrammarSection section, Scope scope, Annotations a)`
`ParsedPattern` | `TextExpr(Annotations a)`
`ParsedPattern` | `TopLevelGrammar(Scope scope)`
`void` | `TopLevelLookahead()`
`ParsedPattern` | `UnaryExpr(boolean topLevel, Scope scope, boolean[] hadOccur, Token[] except)`
`void` | `UnprefixedAnnotationAttribute(Annotations a)`
`ParsedElementAnnotation` | `UnprefixedAnnotationElement()`
`org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString` | `UnprefixedName()`
`ParsedNameClass` | `UnprefixedNameClass(int context, Annotations a)`
`ParsedPattern` | `ValueExpr(boolean topLevel, Annotations a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public CompactSyntaxTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### CompactSyntax

    public CompactSyntax(CompactParseable parseable,
                         java.io.Reader r,
                         java.lang.String sourceUri,
                         SchemaBuilder sb,
                         org.xml.sax.ErrorHandler eh,
                         java.lang.String inheritedNs)

### CompactSyntax

    public CompactSyntax(java.io.InputStream stream)

### CompactSyntax

    public CompactSyntax(java.io.Reader stream)

### CompactSyntax

    public CompactSyntax(CompactSyntaxTokenManager tm)

Method Detail

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(java.lang.String prefix)

  Specified by:
    `resolveNamespacePrefix` in interface `org.relaxng.datatype.ValidationContext`

### prefixes

    public java.util.Enumeration prefixes()

  Description copied from interface: `Context`
  Enumerates the prefixes bound to namespaces.

  Specified by:
    `prefixes` in interface `Context`

### getBaseUri

    public java.lang.String getBaseUri()

  Specified by:
    `getBaseUri` in interface `org.relaxng.datatype.ValidationContext`

### isUnparsedEntity

    public boolean isUnparsedEntity(java.lang.String entityName)

  Specified by:
    `isUnparsedEntity` in interface `org.relaxng.datatype.ValidationContext`

### isNotation

    public boolean isNotation(java.lang.String notationName)

  Specified by:
    `isNotation` in interface `org.relaxng.datatype.ValidationContext`

### copy

    public Context copy()

  Description copied from interface: `Context`
  Returns the immutable snapshot of this `Context`.

  Specified by:
    `copy` in interface `Context`

### Input

    public final ParsedPattern Input(Scope scope)
                              throws ParseException

  Throws:
    `ParseException`

### TopLevelLookahead

    public final void TopLevelLookahead()
                                 throws ParseException

  Throws:
    `ParseException`

### LookaheadAfterAnnotations

    public final void LookaheadAfterAnnotations()
                                         throws ParseException

  Throws:
    `ParseException`

### LookaheadGrammarKeyword

    public final void LookaheadGrammarKeyword()
                                       throws ParseException

  Throws:
    `ParseException`

### LookaheadDocumentation

    public final void LookaheadDocumentation()
                                      throws ParseException

  Throws:
    `ParseException`

### LookaheadBody

    public final void LookaheadBody()
                             throws ParseException

  Throws:
    `ParseException`

### IncludedGrammar

    public final ParsedPattern IncludedGrammar(IncludedGrammar g)
                                        throws ParseException

  Throws:
    `ParseException`

### TopLevelGrammar

    public final ParsedPattern TopLevelGrammar(Scope scope)
                                        throws ParseException

  Throws:
    `ParseException`

### Preamble

    public final void Preamble()
                        throws ParseException

  Throws:
    `ParseException`

### NamespaceDecl

    public final void NamespaceDecl()
                             throws ParseException

  Throws:
    `ParseException`

### NamespaceName

    public final java.lang.String NamespaceName()
                                         throws ParseException

  Throws:
    `ParseException`

### DatatypesDecl

    public final void DatatypesDecl()
                             throws ParseException

  Throws:
    `ParseException`

### AnnotatedPrimaryExpr

    public final ParsedPattern AnnotatedPrimaryExpr(boolean topLevel,
                                                    Scope scope,
                                                    Token[] except)
                                             throws ParseException

  Throws:
    `ParseException`

### PrimaryExpr

    public final ParsedPattern PrimaryExpr(boolean topLevel,
                                           Scope scope,
                                           Annotations a,
                                           Token[] except)
                                    throws ParseException

  Throws:
    `ParseException`

### EmptyExpr

    public final ParsedPattern EmptyExpr(Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### TextExpr

    public final ParsedPattern TextExpr(Annotations a)
                                 throws ParseException

  Throws:
    `ParseException`

### NotAllowedExpr

    public final ParsedPattern NotAllowedExpr(Annotations a)
                                       throws ParseException

  Throws:
    `ParseException`

### Expr

    public final ParsedPattern Expr(boolean topLevel,
                                    Scope scope,
                                    Token t,
                                    Annotations a)
                             throws ParseException

  Throws:
    `ParseException`

### UnaryExpr

    public final ParsedPattern UnaryExpr(boolean topLevel,
                                         Scope scope,
                                         boolean[] hadOccur,
                                         Token[] except)
                                  throws ParseException

  Throws:
    `ParseException`

### ElementExpr

    public final ParsedPattern ElementExpr(Scope scope,
                                           Annotations a)
                                    throws ParseException

  Throws:
    `ParseException`

### AttributeExpr

    public final ParsedPattern AttributeExpr(Scope scope,
                                             Annotations a)
                                      throws ParseException

  Throws:
    `ParseException`

### NameClass

    public final ParsedNameClass NameClass(int context,
                                           Annotations[] pa)
                                    throws ParseException

  Throws:
    `ParseException`

### AnnotateAfter

    public final ParsedNameClass AnnotateAfter(ParsedNameClass nc)
                                        throws ParseException

  Throws:
    `ParseException`

### NameClassAlternatives

    public final ParsedNameClass NameClassAlternatives(int context,
                                                       ParsedNameClass nc,
                                                       Annotations[] pa)
                                                throws ParseException

  Throws:
    `ParseException`

### BasicNameClass

    public final ParsedNameClass BasicNameClass(int context)
                                         throws ParseException

  Throws:
    `ParseException`

### PrimaryNameClass

    public final ParsedNameClass PrimaryNameClass(int context,
                                                  Annotations a)
                                           throws ParseException

  Throws:
    `ParseException`

### OpenNameClass

    public final ParsedNameClass OpenNameClass(int context,
                                               Annotations a)
                                        throws ParseException

  Throws:
    `ParseException`

### UnprefixedNameClass

    public final ParsedNameClass UnprefixedNameClass(int context,
                                                     Annotations a)
                                              throws ParseException

  Throws:
    `ParseException`

### PrefixedNameClass

    public final ParsedNameClass PrefixedNameClass(Annotations a)
                                            throws ParseException

  Throws:
    `ParseException`

### NsNameExceptClass

    public final ParsedNameClass NsNameExceptClass(int context,
                                                   Annotations a,
                                                   Annotations[] pa)
                                            throws ParseException

  Throws:
    `ParseException`

### NsName

    public final org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString NsName()
                                                                             throws ParseException

  Throws:
    `ParseException`

### AnyNameExceptClass

    public final ParsedNameClass AnyNameExceptClass(int context,
                                                    Annotations a,
                                                    Annotations[] pa)
                                             throws ParseException

  Throws:
    `ParseException`

### ParenNameClass

    public final ParsedNameClass ParenNameClass(int context,
                                                Annotations a)
                                         throws ParseException

  Throws:
    `ParseException`

### ExceptNameClass

    public final ParsedNameClass ExceptNameClass(int context)
                                          throws ParseException

  Throws:
    `ParseException`

### ListExpr

    public final ParsedPattern ListExpr(Scope scope,
                                        Annotations a)
                                 throws ParseException

  Throws:
    `ParseException`

### MixedExpr

    public final ParsedPattern MixedExpr(Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### GrammarExpr

    public final ParsedPattern GrammarExpr(Scope scope,
                                           Annotations a)
                                    throws ParseException

  Throws:
    `ParseException`

### ParenExpr

    public final ParsedPattern ParenExpr(boolean topLevel,
                                         Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### GrammarBody

    public final Annotations GrammarBody(GrammarSection section,
                                         Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### GrammarComponent

    public final void GrammarComponent(GrammarSection section,
                                       Scope scope)
                                throws ParseException

  Throws:
    `ParseException`

### Definition

    public final void Definition(GrammarSection section,
                                 Scope scope,
                                 Annotations a)
                          throws ParseException

  Throws:
    `ParseException`

### Start

    public final void Start(GrammarSection section,
                            Scope scope,
                            Annotations a)
                     throws ParseException

  Throws:
    `ParseException`

### Define

    public final void Define(GrammarSection section,
                             Scope scope,
                             Annotations a)
                      throws ParseException

  Throws:
    `ParseException`

### AssignOp

    public final GrammarSection.Combine AssignOp()
                                          throws ParseException

  Throws:
    `ParseException`

### Include

    public final void Include(GrammarSection section,
                              Scope scope,
                              Annotations a)
                       throws ParseException

  Throws:
    `ParseException`

### IncludeBody

    public final Annotations IncludeBody(GrammarSection section,
                                         Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### IncludeComponent

    public final void IncludeComponent(GrammarSection section,
                                       Scope scope)
                                throws ParseException

  Throws:
    `ParseException`

### Div

    public final void Div(GrammarSection section,
                          Scope scope,
                          Annotations a)
                   throws ParseException

  Throws:
    `ParseException`

### IncludeDiv

    public final void IncludeDiv(GrammarSection section,
                                 Scope scope,
                                 Annotations a)
                          throws ParseException

  Throws:
    `ParseException`

### ExternalRefExpr

    public final ParsedPattern ExternalRefExpr(Scope scope,
                                               Annotations a)
                                        throws ParseException

  Throws:
    `ParseException`

### Inherit

    public final java.lang.String Inherit()
                                   throws ParseException

  Throws:
    `ParseException`

### ParentExpr

    public final ParsedPattern ParentExpr(Scope scope,
                                          Annotations a)
                                   throws ParseException

  Throws:
    `ParseException`

### IdentifierExpr

    public final ParsedPattern IdentifierExpr(Scope scope,
                                              Annotations a)
                                       throws ParseException

  Throws:
    `ParseException`

### ValueExpr

    public final ParsedPattern ValueExpr(boolean topLevel,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### DataExpr

    public final ParsedPattern DataExpr(boolean topLevel,
                                        Scope scope,
                                        Annotations a,
                                        Token[] except)
                                 throws ParseException

  Throws:
    `ParseException`

### DatatypeName

    public final Token DatatypeName()
                             throws ParseException

  Throws:
    `ParseException`

### Identifier

    public final org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString Identifier()
                                                                                 throws ParseException

  Throws:
    `ParseException`

### Prefix

    public final java.lang.String Prefix()
                                  throws ParseException

  Throws:
    `ParseException`

### UnprefixedName

    public final org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString UnprefixedName()
                                                                                     throws ParseException

  Throws:
    `ParseException`

### Params

    public final void Params(DataPatternBuilder dpb)
                      throws ParseException

  Throws:
    `ParseException`

### Param

    public final void Param(DataPatternBuilder dpb)
                     throws ParseException

  Throws:
    `ParseException`

### Except

    public final ParsedPattern Except(Scope scope,
                                      Token[] except)
                               throws ParseException

  Throws:
    `ParseException`

### Documentation

    public final ParsedElementAnnotation Documentation()
                                                throws ParseException

  Throws:
    `ParseException`

### Annotations

    public final Annotations Annotations()
                                  throws ParseException

  Throws:
    `ParseException`

### AnnotationAttribute

    public final void AnnotationAttribute(Annotations a)
                                   throws ParseException

  Throws:
    `ParseException`

### PrefixedAnnotationAttribute

    public final void PrefixedAnnotationAttribute(Annotations a,
                                                  boolean nested)
                                           throws ParseException

  Throws:
    `ParseException`

### UnprefixedAnnotationAttribute

    public final void UnprefixedAnnotationAttribute(Annotations a)
                                             throws ParseException

  Throws:
    `ParseException`

### AnnotationElement

    public final ParsedElementAnnotation AnnotationElement(boolean nested)
                                                    throws ParseException

  Throws:
    `ParseException`

### AnnotationElementNotKeyword

    public final ParsedElementAnnotation AnnotationElementNotKeyword()
                                                              throws ParseException

  Throws:
    `ParseException`

### PrefixedAnnotationElement

    public final ParsedElementAnnotation PrefixedAnnotationElement(boolean nested)
                                                            throws ParseException

  Throws:
    `ParseException`

### UnprefixedAnnotationElement

    public final ParsedElementAnnotation UnprefixedAnnotationElement()
                                                              throws ParseException

  Throws:
    `ParseException`

### IdentifierAnnotationElement

    public final ParsedElementAnnotation IdentifierAnnotationElement()
                                                              throws ParseException

  Throws:
    `ParseException`

### AnnotationElementContent

    public final void AnnotationElementContent(ElementAnnotationBuilder eab)
                                        throws ParseException

  Throws:
    `ParseException`

### AnnotationElementLiteral

    public final void AnnotationElementLiteral(ElementAnnotationBuilder eab)
                                        throws ParseException

  Throws:
    `ParseException`

### Literal

    public final java.lang.String Literal()
                                   throws ParseException

  Throws:
    `ParseException`

### LocatedLiteral

    public final org.kohsuke.rngom.parse.compact.CompactSyntax.LocatedString LocatedLiteral()
                                                                                     throws ParseException

  Throws:
    `ParseException`

### Keyword

    public final Token Keyword()
                        throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(CompactSyntaxTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD